Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes
Lucene::Future Class Reference

A Future represents the result of an asynchronous computation. Methods are provided to check if the computation is complete, to wait for its completion, and to retrieve the result of the computation. The result can only be retrieved using method get when the computation has completed, blocking if necessary until it is ready. More...

`#include <ThreadPool.h>`

Inheritance diagram for Lucene::Future:

## Public Member Functions

virtual | ~Future ()
void | set (const boost::any &value)
template<typename TYPE>
TYPE | get ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Protected Attributes

boost::any | value
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

A Future represents the result of an asynchronous computation. Methods are provided to check if the computation is complete, to wait for its completion, and to retrieve the result of the computation. The result can only be retrieved using method get when the computation has completed, blocking if necessary until it is ready.

## Constructor & Destructor Documentation

## ◆ ~Future()

virtual Lucene::Future::~Future | ( |  | ) |

virtual

## Member Function Documentation

## ◆ get()

template<typename TYPE>

TYPE Lucene::Future::get | ( |  | ) |

inline

References value, and Lucene::LuceneSync::wait().

## ◆ set()

void Lucene::Future::set | ( | const boost::any & | value | ) |

inline

References value.

## Field Documentation

## ◆ value

boost::any Lucene::Future::value

protected

Referenced by get(), and set().

The documentation for this class was generated from the following file:

- ThreadPool.h

clucene.sourceforge.net